Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jbpm.task
Interface TaskService

All Known Implementing Classes:
  LocalTaskService, SyncTaskServiceWrapper

    public interface TaskService

Method Summary
`void` | `activate(long taskId, String userId)`
`void` | `addAttachment(long taskId, Attachment attachment, Content content)`
`void` | `addComment(long taskId, Comment comment)`
`void` | `addTask(Task task, ContentData content)`
`void` | `claim(long taskId, String userId)`
`void` | `claim(long taskId, String userId, List<String> groupIds)` Deprecated.
`void` | `claimNextAvailable(String userId, List<String> groupIds, String language)` Deprecated.
`void` | `claimNextAvailable(String userId, String language)`
`void` | `complete(long taskId, String userId, ContentData outputData)`
`void` | `completeWithResults(long taskId, String userId, Object results)`
`boolean` | `connect()`
`boolean` | `connect(String address, int port)`
`void` | `delegate(long taskId, String userId, String targetUserId)`
`void` | `deleteAttachment(long taskId, long attachmentId, long contentId)`
`void` | `deleteComment(long taskId, long commentId)`
`void` | `deleteFault(long taskId, String userId)`
`void` | `deleteOutput(long taskId, String userId)`
`void` | `disconnect()`
`void` | `exit(long taskId, String userId)`
`void` | `fail(long taskId, String userId, FaultData faultData)`
`void` | `forward(long taskId, String userId, String targetEntityId)`
`Content` | `getContent(long contentId)`
`List<TaskSummary>` | `getSubTasksAssignedAsPotentialOwner(long parentId, String userId, String language)`
`List<TaskSummary>` | `getSubTasksByParent(long parentId)`
`Task` | `getTask(long taskId)`
`Task` | `getTaskByWorkItemId(long workItemId)`
`List<TaskSummary>` | `getTasksAssignedAsBusinessAdministrator(String userId, String language)`
`List<TaskSummary>` | `getTasksAssignedAsExcludedOwner(String userId, String language)`
`List<TaskSummary>` | `getTasksAssignedAsPotentialOwner(String userId, List<String> groupIds, String language)` Deprecated.
`List<TaskSummary>` | `getTasksAssignedAsPotentialOwner(String userId, List<String> groupIds, String language, int firstResult, int maxResult)` Deprecated.
`List<TaskSummary>` | `getTasksAssignedAsPotentialOwner(String userId, String language)`
`List<TaskSummary>` | `getTasksAssignedAsPotentialOwnerByStatus(String userId, List<Status> status, String language)`
`List<TaskSummary>` | `getTasksAssignedAsPotentialOwnerByStatusByGroup(String userId, List<String> groupIds, List<Status> status, String language)` Deprecated.
`List<TaskSummary>` | `getTasksAssignedAsRecipient(String userId, String language)`
`List<TaskSummary>` | `getTasksAssignedAsTaskInitiator(String userId, String language)`
`List<TaskSummary>` | `getTasksAssignedAsTaskStakeholder(String userId, String language)`
`List<TaskSummary>` | `getTasksByStatusByProcessId(long processInstanceId, List<Status> status, String language)`
`List<TaskSummary>` | `getTasksByStatusByProcessIdByTaskName(long processInstanceId, List<Status> status, String taskName, String language)`
`List<TaskSummary>` | `getTasksOwned(String userId, List<Status> status, String language)`
`List<TaskSummary>` | `getTasksOwned(String userId, String language)`
`void` | `nominate(long taskId, String userId, List<OrganizationalEntity> potentialOwners)`
`List<?>` | `query(String qlString, Integer size, Integer offset)` Deprecated.
`void` | `register(long taskId, String userId)`
`void` | `registerForEvent(EventKey key, boolean remove, EventResponseHandler responseHandler)` This method registers for an event key a handler to notify the task life cycle events
`void` | `release(long taskId, String userId)`
`void` | `remove(long taskId, String userId)`
`void` | `resume(long taskId, String userId)`
`void` | `setDocumentContent(long taskId, Content content)`
`void` | `setFault(long taskId, String userId, FaultData fault)`
`void` | `setOutput(long taskId, String userId, ContentData outputContentData)`
`void` | `setPriority(long taskId, String userId, int priority)`
`void` | `skip(long taskId, String userId)`
`void` | `start(long taskId, String userId)`
`void` | `stop(long taskId, String userId)`
`void` | `suspend(long taskId, String userId)`
`void` | `unregisterForEvent(EventKey key)` This method removes all the handlers associated with an EventKey

Method Detail

### activate

    void activate(long taskId,
                  String userId)

### addAttachment

    void addAttachment(long taskId,
                       Attachment attachment,
                       Content content)

### addComment

    void addComment(long taskId,
                    Comment comment)

### addTask

    void addTask(Task task,
                 ContentData content)

### claim

    void claim(long taskId,
               String userId)

### claim

    @Deprecated
    void claim(long taskId,
                          String userId,
                          List<String> groupIds)

  Deprecated.

### claimNextAvailable

    void claimNextAvailable(String userId,
                            String language)

### claimNextAvailable

    @Deprecated
    void claimNextAvailable(String userId,
                                       List<String> groupIds,
                                       String language)

  Deprecated.

### complete

    void complete(long taskId,
                  String userId,
                  ContentData outputData)

### completeWithResults

    void completeWithResults(long taskId,
                             String userId,
                             Object results)

### connect

    boolean connect()

### connect

    boolean connect(String address,
                    int port)

### delegate

    void delegate(long taskId,
                  String userId,
                  String targetUserId)

### deleteAttachment

    void deleteAttachment(long taskId,
                          long attachmentId,
                          long contentId)

### deleteComment

    void deleteComment(long taskId,
                       long commentId)

### deleteFault

    void deleteFault(long taskId,
                     String userId)

### deleteOutput

    void deleteOutput(long taskId,
                      String userId)

### disconnect

    void disconnect()
                    throws Exception

  Throws:
    `Exception`

### exit

    void exit(long taskId,
              String userId)

### fail

    void fail(long taskId,
              String userId,
              FaultData faultData)

### forward

    void forward(long taskId,
                 String userId,
                 String targetEntityId)

### getContent

    Content getContent(long contentId)

### getSubTasksAssignedAsPotentialOwner

    List<TaskSummary> getSubTasksAssignedAsPotentialOwner(long parentId,
                                                          String userId,
                                                          String language)

### getSubTasksByParent

    List<TaskSummary> getSubTasksByParent(long parentId)

### getTask

    Task getTask(long taskId)

### getTaskByWorkItemId

    Task getTaskByWorkItemId(long workItemId)

### getTasksAssignedAsBusinessAdministrator

    List<TaskSummary> getTasksAssignedAsBusinessAdministrator(String userId,
                                                              String language)

### getTasksAssignedAsExcludedOwner

    List<TaskSummary> getTasksAssignedAsExcludedOwner(String userId,
                                                      String language)

### getTasksAssignedAsPotentialOwner

    List<TaskSummary> getTasksAssignedAsPotentialOwner(String userId,
                                                       String language)

### getTasksAssignedAsPotentialOwner

    @Deprecated
    List<TaskSummary> getTasksAssignedAsPotentialOwner(String userId,
                                                                  List<String> groupIds,
                                                                  String language)

  Deprecated.

### getTasksAssignedAsPotentialOwner

    @Deprecated
    List<TaskSummary> getTasksAssignedAsPotentialOwner(String userId,
                                                                  List<String> groupIds,
                                                                  String language,
                                                                  int firstResult,
                                                                  int maxResult)

  Deprecated.

### getTasksAssignedAsRecipient

    List<TaskSummary> getTasksAssignedAsRecipient(String userId,
                                                  String language)

### getTasksAssignedAsTaskInitiator

    List<TaskSummary> getTasksAssignedAsTaskInitiator(String userId,
                                                      String language)

### getTasksAssignedAsTaskStakeholder

    List<TaskSummary> getTasksAssignedAsTaskStakeholder(String userId,
                                                        String language)

### getTasksOwned

    List<TaskSummary> getTasksOwned(String userId,
                                    String language)

### getTasksOwned

    List<TaskSummary> getTasksOwned(String userId,
                                    List<Status> status,
                                    String language)

### nominate

    void nominate(long taskId,
                  String userId,
                  List<OrganizationalEntity> potentialOwners)

### query

    @Deprecated
    List<?> query(String qlString,
                             Integer size,
                             Integer offset)

  Deprecated.

  This method allows the user to exercise the query of his/her choice. This method will be deleted in future versions. Only select queries are currently supported, for obvious reasons.

  Parameters:
    `qlString` - The query string.
    `size` - Maximum number of results to return.
    `offset` - The offset from the beginning of the result list determining the first result.
  Returns:
    The result of the query.

### register

    void register(long taskId,
                  String userId)

### registerForEvent

    void registerForEvent(EventKey key,
                          boolean remove,
                          EventResponseHandler responseHandler)

  This method registers for an event key a handler to notify the task life cycle events

  Parameters:
    `key` -
    `remove` - The remove boolean is used to remove the handler after firing a notification
    `responseHandler` -

### unregisterForEvent

    void unregisterForEvent(EventKey key)

  This method removes all the handlers associated with an EventKey

  Parameters:
    `key` -

### release

    void release(long taskId,
                 String userId)

### remove

    void remove(long taskId,
                String userId)

### resume

    void resume(long taskId,
                String userId)

### setDocumentContent

    void setDocumentContent(long taskId,
                            Content content)

### setFault

    void setFault(long taskId,
                  String userId,
                  FaultData fault)

### setOutput

    void setOutput(long taskId,
                   String userId,
                   ContentData outputContentData)

### setPriority

    void setPriority(long taskId,
                     String userId,
                     int priority)

### skip

    void skip(long taskId,
              String userId)

### start

    void start(long taskId,
               String userId)

### stop

    void stop(long taskId,
              String userId)

### suspend

    void suspend(long taskId,
                 String userId)

### getTasksAssignedAsPotentialOwnerByStatus

    List<TaskSummary> getTasksAssignedAsPotentialOwnerByStatus(String userId,
                                                               List<Status> status,
                                                               String language)

### getTasksAssignedAsPotentialOwnerByStatusByGroup

    @Deprecated
    List<TaskSummary> getTasksAssignedAsPotentialOwnerByStatusByGroup(String userId,
                                                                                 List<String> groupIds,
                                                                                 List<Status> status,
                                                                                 String language)

  Deprecated.

### getTasksByStatusByProcessId

    List<TaskSummary> getTasksByStatusByProcessId(long processInstanceId,
                                                  List<Status> status,
                                                  String language)

### getTasksByStatusByProcessIdByTaskName

    List<TaskSummary> getTasksByStatusByProcessIdByTaskName(long processInstanceId,
                                                            List<Status> status,
                                                            String taskName,
                                                            String language)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001-2014 JBoss by Red Hat. All Rights Reserved.